%define languageenglazy Bengali
%define languagecode    bn
%define lc_ctype        bn_BD

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        1.0.0
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:		https://gitorious.org/hunspell_dictionaries
Source0:        http://anishpatil.fedorapeople.org/bn_in.%{version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-bn
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-bn_IN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-bn_IN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-bn_BN < 1.0.3
Provides:       myspell-bn_BN

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c -n bn_IN

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hunspell
cp -p bn_IN/*.dic bn_IN/*.aff $RPM_BUILD_ROOT/%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1:1.0.0-4.mga6
+ Revision: 943394
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.0-3.mga5
+ Revision: 745803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.0-2.mga5
+ Revision: 680217
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Sep 04 2014 tv <tv> 1:1.0.0-1.mga5
+ Revision: 671811
- new release

* Fri Oct 18 2013 umeabot <umeabot> 1:0.04-8.mga4
+ Revision: 505611
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.04-7.mga3
+ Revision: 353398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1:0.04-6.mga3
+ Revision: 325170
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 1:0.04-5.mga2
+ Revision: 224577
- add requirement on locales (mga#4632)

* Thu Feb 16 2012 kamil <kamil> 1:0.04-4.mga2
+ Revision: 209607
- obsolete myspell-bn_BN instead of myspell-bn_BD

* Sun Feb 12 2012 kamil <kamil> 1:0.04-3.mga2
+ Revision: 207642
- better obsolete myspell

* Mon Jan 16 2012 kamil <kamil> 1:0.04-2.mga2
+ Revision: 196813
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.04-1.mga1
+ Revision: 68679
- imported package hunspell-bn


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Mar 25 2010 Parag <pnemade AT redhat.com> - 1:0.04-2
- Resolves:rh#576774  - newer release 0.04 made symlink to bn_BD nonexistent

* Tue Mar 09 2010 Parag <pnemade AT redhat.com> - 1:0.04-1
- Resolves:rh#571712 - Should use correct version what upstream provides by adding epoch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080201-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080201-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 08 2008 Parag <pnemade@redhat.com> - 20080201-1
- update to latest release.

* Tue Sep 02 2008 Caolán McNamara <caolanm@redhat.com> - 20050726-3
- add bn_BD alias

* Sun Jan 06 2008 Parag <pnemade@redhat.com> - 20050726-2
- Added Copyright and corrected changelog version.

* Thu Jan 03 2008 Parag <pnemade@redhat.com> - 20050726-1
- Initial Fedora release
